/*CORPS DES PAGES*/
body {
    background-image: url(../images/mosaic-bg.png);
    background-repeat: repeat;
    margin: 0;
}
.main-container {
    width: 1000px;
    background-image: url(../images/the-wall.png);
    margin: auto;
}

.flex{
    display: flex;
}

.center{
    align-content: center;
    justify-content: center;
    align-items: center;
}

.align-items-fstart{
    align-items: flex-start;
}

.right{
    justify-content: flex-end;
    align-items: center;
}

.nopadding{
    padding: 0;
}

.max-width-100{
    max-width: 100%;
}

.display-none{
    display: none;
}

/*HEADER*/
/*bannière*/
.banner {
    display: inline-block;
    width: 100%;
}

/*barre de navigation*/
header {
    /* –– Top Bar –– */
    .header-top-bar{
        ul{
            width: 100%;
            background-color: #82a3b7;
            display: flex;
            flex-flow: row;
            align-items: stretch;
            justify-content: space-between;
            padding: 0;
            margin: 0;
        }
        li{
            display: -ms-flexbox;
            display: flex;
            -ms-flex-align: center;
            align-items: center;
            flex: 1 1 auto;
            list-style-type: none;
            padding: 0 10px;
            background-color: #82a3b7;
            font-size: 0.8rem;
            color: #000;
            border: 5px solid #a2bbca;
            border-bottom-color: #628ba4;
            border-right-color: #628ba4;
            a{
                color: #fffe54;
                text-decoration: none;
                font-family: Comic Sans MS, sans-serif;
                text-transform: uppercase;
                font-size: 12px;
                padding: 0 3px;
                width: 100%;
                height: 100%;
                display: flex;
                align-items: center;
            }
        }
        li:hover{
            background-color: #628ba4;
            border: 5px solid #4d7086;
            border-bottom-color: #a2bbca;
            border-right-color: #a2bbca;
            text-decoration: none;
            a{
                color: #f3d425;
                text-decoration: none;
            }
        }
        .bubble-wrap{
            position: relative;
            width: 100%;
            height: 100%;
            .bubble{
                width: 250px;
                position: absolute;
                right: -90px;
                top: -210px;
                animation-duration: 1s;
                animation-name: bob;
                animation-iteration-count: infinite;
                animation-direction: alternate;
                @keyframes bob {
                    from {
                        top: -210px;
                    }
                  
                    to {
                        top: -215px;
                    }
                }
            }
            .earth{
                width: 55px;
                position: absolute;
                right: 47.4%;
                top: -274px;
            }
            }
        }
    }
   
    /* –– Bottom Bar –– */
    .header-bottom-bar{
        background-color: #ccc;
        height: 32px;
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        padding: 0 4px;
        margin: 0;
        border-right: solid 2px grey;
        border-bottom: solid 2px grey;
        border-top: solid 2px #aaa;
        border-left: solid 2px #aaa;
        
        img{
            height: 24px;
        }

        .header-bottom-bar-left{
            float: left;
        }

        .header-bottom-bar-right{
            padding: 2px 0;
        }

        /* –– Gold Buttons –– */
        ul{
            cursor: pointer;
            padding: 0 2px;
            border-right: none;
            border-left: none;
            border-radius: 5px;
            height: 25px!important;
            line-height: 1;
            margin: 0;
        }
        li {
            display: inline-block;
            text-align: center;
            border-radius: 2px;
            border: solid 2px #795548;
            background: linear-gradient(to bottom,
            #6f5742,
            #81615d);
            height: 24px;
        }
        a{
            display: table;
            border-radius: 2px;
            width: 100%;
            background-color: #a77d33;
            box-shadow: 0px 2px 6px 0px #362c26;
            background: linear-gradient(to bottom,
                #d8be52,
                #d5b631 5%,
                #5f3f1d 59%,
                #362c26);
            height: 20px;
            font-family: 'Fondamento', cursive;
            font-weight: normal;
            color: #fff;
            text-decoration: none;
            text-shadow: 1px 1px #000;
            font-size: 16px;
            line-height: 1;
            letter-spacing: 2px;
            text-align: center;
            padding: 0 3px;
        }
        a:hover{
             background: radial-gradient(circle,
                 #fed83b 22%,
                 #dba23e 83%,
                 #9d6224);
            text-decoration: none;
            color: #fffe54;
        }
    }


/*TITRE DES PAGES*/
h1 {
    color: #a30102;
    font-family: Porter, sans serif;
    margin-left: 2vw;
    margin-top: 20px;
}
.h1-profil {
    text-align: center;
    margin-top: 0px;
    margin-left: 0px;
    color: #f30000 !important;
    text-decoration: underline;
    text-decoration-color: #f3d425;
    font-family: American TypeWriter, sans serif !important;
}

/*PAGINATIONS (fanfictions, gelerie, actualités*/
.navigation {
    font-family: American TypeWriter, sans serif;
    margin: 20px 0;
    .pagination {
        justify-content: center;
        width: fit-content;
        background-image: url(../images/metal.jpg);
        background-position: center center;
        margin: auto;
    }
    .current {
        color: #f30000;
    }
    span {
        padding: 10px;
        a {
            color: #f3d425;
        }
    }
}

/*FOOTER*/
footer {
    background-image: url(../images/stars.gif);
    background-repeat: repeat;
    display: flex;
    padding-top: 1rem;
    padding-bottom: 1rem;
    ul > li{
        text-decoration: none;
        list-style-type: none;
        a {
            color: #f3d425 !important;
            text-decoration: none;
            font-family: Comic Sans MS, sans-serif;
        }
    }
    .flex.center img{
        width: 92px;
        height: 22px;
    }
    .footer-awards {
        img{
            width: 30%;
            margin: 0 10px;
        }
        img:last-child{
            margin-left: 10px;
            margin-right: 0;
        }
    }
}

/*  Modal  */

#exampleModalCenter{
    .modal-content{
        border-radius: 0;
    }
    .modal-header{
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        background-color: #155362;
        color: white;
    }
    .modal-body{
        text-align: center;
    }
    .close span{
        color: white;
    }
    .modal-footer{
        border-top: solid 1px #fff;
        border-bottom: solid 1px grey;
        background-color: silver;
    }
    img{
        width: 100%;
    }
}

/*  Responsive  */

@media only screen and (max-width: 1200px) {
    .bubble{
        display: none;
    } 
    .home-body .twitter aside {
        height: 821px!important;
        main{
            padding-top: 10px!important;
        }
    }
}
@media only screen and (max-width: 1024px) {
    .main-container {
        width: 100%;
    }
    .earth{
        display: none;
    }
}
@media only screen and (max-width: 992px) {
    .welcome .home-welcome-gif{
        display: none;
    } 

    .news .contenu .img-position {
       display: flex; 
       justify-content: center;
       align-items: center;
    }

    .news .contenu .img-fluid {
        width: 40%;
    }
    
    header .header-top-bar ul {
        flex-flow: column;
        li{
            justify-content: center;
            padding: 15px;
        }
    }

    .home-body .twitter {
        margin-top: 30px;
        aside {
            height: 1522px!important;
        }
        #twitter-widget-0{
            width: 74%!important;
            height: 1220px!important;
        }
        form img{
            width: 50%;
        }
    }

    .home-body .twitter aside main{
        padding-top: 60px!important;
    }
        
}
@media only screen and (max-width: 768px) {
    .header-bottom-bar {
        height: inherit;
        flex-flow: column;
        justify-content: center;
        align-items: center;
        .header-bottom-bar-left{
            margin: 10px 0;
        }
        .header-bottom-bar-right{
            margin-bottom: 10px; 
        }
    }
    .news .contenu .img-position {
        display: inherit; 
     }
 
     .news .contenu .img-fluid {
         width: inherit;
     }
     .home-body .twitter #twitter-widget-0{
         height: 870px!important;
     }
     .home-body .twitter aside {
        height: 1113px !important;
    }
    footer .flex.center img {
        width: inherit;
        height: inherit;
    }
}